Subject: Re: What's cooking in git.git (Oct 2023, #03; Fri, 6)

From: Taylor Blau <[email-masked]>
Date: Tue, 10 Oct 2023 16:36:19 -0400

On Sat, Oct 07, 2023 at 01:20:02AM -0700, Junio C Hamano wrote:
> * tb/path-filter-fix (2023-08-30) 15 commits
>  - bloom: introduce `deinit_bloom_filters()`
>  - commit-graph: reuse existing Bloom filters where possible
>  - object.h: fix mis-aligned flag bits table
>  - commit-graph: drop unnecessary `graph_read_bloom_data_context`
>  - commit-graph.c: unconditionally load Bloom filters
>  - t/t4216-log-bloom.sh: harden `test_bloom_filters_not_used()`
>  - bloom: prepare to discard incompatible Bloom filters
>  - bloom: annotate filters with hash version
>  - commit-graph: new filter ver. that fixes murmur3
>  - repo-settings: introduce commitgraph.changedPathsVersion
>  - t4216: test changed path filters with high bit paths
>  - t/helper/test-read-graph: implement `bloom-filters` mode
>  - bloom.h: make `load_bloom_filter_from_graph()` public
>  - t/helper/test-read-graph.c: extract `dump_graph_info()`
>  - gitformat-commit-graph: describe version 2 of BDAT
>
>  The Bloom filter used for path limited history traversal was broken
>  on systems whose "char" is unsigned; update the implementation and
>  bump the format version to 2.
>
>  What's the status of this thing?
>  cf. <[email-masked]>
>  cf. <[email-masked]>
>  cf. <[email-masked]>
>  source: <[email-masked]>

Good question ;-). There were a couple of outstanding issues pointed out
by SZEDER Gábor that I addressed on top of what's already there.

I tied up what I think are all of the remaining loose ends and put
everything together in a single unified (if a little long) patch series.

This should be ready to go, but I'd love to hear from Jonathan Tan and
SZEDER before declaring victory here.

Thanks,
Taylor